Bug 1028925 - Missing data on Post-install summary screen for datasource configuration.
Missing data on Post-install summary screen for datasource configuration.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 04:02 EST by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-11 04:02:07 EST
Description of problem:
 There are some data missing on post-install summary screen for datasources.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Run gui installer. Go to post-install configuration screen using default values.
 2. Select to "Install JDBC Driver" and "Install datasource". Press Next.
 3. Choose IBM DB2 for Driver vendor. Go to Next screen.
 4. On Datasource screen select "ibmdb2 XA" as Datasource type. Press Next to get on Post-install summary screen.

Actual results:
Datasource Details
Name: myNewDatasource 
JNDI Name: java:/DB2DS 
Min Pool Size: 0 
Max Pool Size: 20 
Datasource type: true 
Database name: ibmdb2db 
XA Properties:

Expected results:
Datasource Details
Name: myNewDatasource 
JNDI Name: java:/DB2DS 
Min Pool Size: 0 
Max Pool Size: 20 
Security Type: Security-domain
Security-Domain: mySecurityDomain
Datasource type: ibmdb2 XA 
Recovery User: admin
XA Properties:
Database name: ibmdb2db 

Additional info:
 - Recovery password is missing only for IBM
 - XA properties should be bellow "XA Properties:" line
 - We may change "Datasource type: true" line to "Datasource type: ibmdb2 XA" (for IBM), or "XA Datasource: true"
 - Security configuration summary is missing (no security type or username/security-domain)
Comment 1 Miles Tjandrawidjaja 2013-11-13 11:05:24 EST
Summary Panel has been updated to show the expected results above.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=9065d59ccdb34e039a66220bd450bd49d504f718
Comment 2 Petr Kremensky 2013-11-15 02:33:20 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.